Page MenuHomePhabricator

Technical documentation for RCFilters
Closed, ResolvedPublic

Description

Technical documentation in this beta feature needs some work. For instance, where is the codebase? I couldn't find it in the beta feature page. I searched everywhere and even I checked collab's people patches in gerrit but still, I can't find the extension that enables such features. Finally, I checked the wikimedia config and realized the config for this feature is "wgEnableRcFiltersBetaFeature" and searched it in github and found WikimediaMessages which has a way unrelated name.

Finding the extension should not be that hard.

And the extension page in mediawiki is comletely empty and looks suspicious (look at the authors)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr added a subscriber: Tgr.Apr 17 2017, 5:27 PM

WikimediaMessages is a (somewhat hacky) way to keep the code clean of Wikimedia-specific references: define messages with a generic text and use the WikimediaMessages extension to replace it. Since it is not useful outside Wikimedia, not much effort went into documenting it.

The beta feature links to Edit Review Improvements/New filters for edit review so ideally technical information would be available through there. Less ideally, you can check the name of the beta feature checkbox (wprcenhancedfilters), strip the wp prefix and search the wikimedia project on Github, which will point you to some code in core and the ORES extension.

The beta feature links to Edit Review Improvements/New filters for edit review so ideally technical information would be available through there. Less ideally, you can check the name of the beta feature checkbox (wprcenhancedfilters), strip the wp prefix and search the wikimedia project on Github, which will point you to some code in core and the ORES extension.

Yeah, most of it's in core (resources/src/mediawiki.rcfilters/ , ChangesListSpecialPage, SpecialRecentchanges, ChangesList*, etc.), but the beta feature and the guided tour are in WikimediaMessages.

In both cases, this is because core can't depend on extensions (BetaFeatures, GuidedTour).

I would think it would be nice to include info about how to add a filter to the menu. I bet volunteers would do that.

Change 351378 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/core@master] Document "What's This" group UI feature

https://gerrit.wikimedia.org/r/351378

Change 351378 merged by jenkins-bot:
[mediawiki/core@master] Document "What's This" group UI feature

https://gerrit.wikimedia.org/r/351378

Mattflaschen-WMF renamed this task from Technical documentation to Technical documentation for RCFilters.May 3 2017, 2:47 AM

Change 351570 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/core@master] Fix all the Doxygen for the RCFilters backend

https://gerrit.wikimedia.org/r/351570

Change 351570 merged by jenkins-bot:
[mediawiki/core@master] Fix all the Doxygen for the RCFilters backend

https://gerrit.wikimedia.org/r/351570

Etonkovidova added a subscriber: Etonkovidova.EditedMay 5 2017, 9:46 PM

@Mattflaschen-WMF Just as a note - to add more visibility to the info, I think it'd be helpful to add it as a link to {{TNT|ERI Navigation}} under "Features-New filters for edit review" to https://www.mediawiki.org/wiki/Edit_Review_Improvements/New_filters_for_edit_review/How_to_implement_a_filter. Otherwise, looks fine to me.

QA Recommendation: Resolve

@Mattflaschen-WMF Just as a note - to add more visibility to the info, I think it'd be helpful to add it as a link to {{TNT|ERI Navigation}} under "Features-New filters for edit review" to https://www.mediawiki.org/wiki/Edit_Review_Improvements/New_filters_for_edit_review/How_to_implement_a_filter. Otherwise, looks fine to me.

Thanks, done. However, I think the translation bot needs to run for it to become visible.

jmatazzoni closed this task as Resolved.May 8 2017, 9:14 PM